package io.renren.modules.app.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XzdyFwxxSdEntity;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;

/**
 * 新增单元的房屋信息设定
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2019-02-26 08:56:01
 */
@Mapper
public interface XzdyFwxxSdDao extends BaseMapper<XzdyFwxxSdEntity> {
	
	void updatebymh(XzdyFwxxSdEntity xzdyFwxxSdEntity);
	
	//下拉框查询
	List<XlkEntity> selectxq();
    List<XlkEntity> selectxm();
    List<XlkEntity> selectlz();
    List<XlkEntity> selectdy();
    
    /**
     * 分页模糊查询
     * @param xzdyFwxxSdEntity
     * @return
     */
    List<XzdyFwxxSdEntity> queryByPage(XzdyFwxxSdEntity xzdyFwxxSdEntity);

}
